Opened 5 years ago

Closed 5 years ago

#1379 closed defect (fixed)

i2p-tahoe-lafs requirement missing in deb

Reported by: echelon Owned by: killyourtv
Priority: minor Milestone: 0.9.15
Component: package/debian Version: 0.9.14.1
Keywords: tahoe-lafs Cc:
Parent Tickets:

Description

Hi

debian package of i2p-tahoe-lafs in debian wheezy ( 1.10.0-3) need a added requirement:
python-setuptools

in repo

deb https://dl.dropboxusercontent.com/u/18621288/debian wheezy main

Subtickets

Change History (2)

comment:1 follow-up: Changed 5 years ago by killyourtv

  • Status changed from new to accepted

That dependency should not be needed (one of the patches is to explicitly avoid this dependency). I'll look into it and should have a fixed package $soon.

(I'm not sure that this belongs in Trac as it's not something that the I2P project hosts/supports, but this ticket won't be open for long).

comment:2 in reply to: ↑ 1 Changed 5 years ago by killyourtv

  • Resolution set to fixed
  • Status changed from accepted to closed

Replying to killyourtv:

That dependency should not be needed (one of the patches is to explicitly avoid this dependency). I'll look into it and should have a fixed package $oon.



No, the dependency is needed. I remembered incorrectly: The patch is to use the debian version of python-setuptools while building. The runtime python-setuptools is required. (Also, the dependencies I patched away were zbase and pyutil. I remembered all of it incorrectly. :S)

Anyway...the fixed package is in my debian repository and will be uploaded to the PPA later.

Note: See TracTickets for help on using tickets.